Skip to main content
`Ctrl`+`K`

# PCBJacobiSetTotalBlocks

Sets the global number of blocks for the block Jacobi preconditioner.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBJacobiSetTotalBlocks(PC pc, PetscInt blocks, const PetscInt lens[])

Collective

## Input Parameters

- pc - the preconditioner context

- blocks - the number of blocks

- lens - [optional] integer array containing the size of each block

## Options Database Key

- -pc_bjacobi_blocks <blocks> - Sets the number of global blocks

## Note

Currently only a limited number of blocking configurations are supported. All processors sharing the `PC` must call this routine with the same data.

## See Also

KSP: Linear System Solvers, `PCBJACOBI`, `PCSetUseAmat()`, `PCBJacobiSetLocalBlocks()`

## Level

intermediate

## Location

src/ksp/pc/impls/bjacobi/bjacobi.c

## Examples

src/ksp/ksp/tutorials/ex7f.F90
src/ksp/ksp/tutorials/ex7.c

## Implementations

PCBJacobiSetTotalBlocks_BJacobi() in src/ksp/pc/impls/bjacobi/bjacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages